package com.server.alb.repositories

import com.server.alb.models.Platform
import org.springframework.data.jpa.repository.Query
import org.springframework.data.repository.CrudRepository

interface PlatformRepository : CrudRepository<Platform, Long> {

    @Query("SELECT b.* FROM platforms b WHERE b.project LIKE %?1%", nativeQuery = true)
    fun findByProject(project: String?): MutableList<Platform>
}